/**
 * Root component that provides the styling context for the LoadingSpinner component.
 * Uses Chakra UI's recipe context system for consistent styling across instances.
 */
export declare const LoadingSpinnerRoot: import('react').ForwardRefExoticComponent<Omit<import('@chakra-ui/react').HTMLChakraProps<"div", {
    size?: import('@chakra-ui/react').RecipeProps<"loadingSpinner">["size"];
} & import('@chakra-ui/react').UnstyledProp>, "css" | "colorPalette" | "as" | "asChild"> & {
    colorPalette?: "primary" | "white";
} & import('react').RefAttributes<HTMLDivElement>>;
